local M = {}
local mName = "myExtension"

local function onExtensionUnloaded()
    log("I", mName, "Extension unloading")
    -- Clean up
end

local function onExtensionLoaded()
    log("I", mName, "Extension initializing")
    -- Do stuff
end

local function onVehicleSpawned(vehicleId)
    log("I", mName, "Vehicle loaded")
    -- This works
end

local function onVehicleDestroyed(vehicleId)
    log("I", mName, "Vehicle destroyed")
    -- This works
end

M.onVehicleSpawned = onVehicleSpawned
M.onVehicleDestroyed = onVehicleDestroyed
M.onExtensionUnloaded = onExtensionUnloaded
M.onExtensionLoaded = onExtensionLoaded

return M